--- ./src/physfs_internal.h.save	Sat Apr  6 10:36:31 2019
+++ ./src/physfs_internal.h	Sat Apr  6 12:05:29 2019
@@ -38,7 +38,7 @@
 #include <malloc.h>
 #endif
 
-#ifdef PHYSFS_PLATFORM_SOLARIS
+#if defined(PHYSFS_PLATFORM_SOLARIS) || defined(PHYSFS_PLATFORM_IRIX)
 #include <alloca.h>
 #endif
 
@@ -57,7 +57,7 @@
     /* C++ always has a real inline keyword. */
 #elif (defined macintosh) && !(defined __MWERKS__)
 #   define inline
-#elif (defined _MSC_VER)
+#elif defined(_MSC_VER) || defined(__sgi)
 #   define inline __inline
 #endif
 
--- ./src/physfs_platforms.h.save	Sat Apr  6 10:45:06 2019
+++ ./src/physfs_platforms.h	Sat Apr  6 16:21:56 2019
@@ -53,6 +53,11 @@
 #  define PHYSFS_PLATFORM_SOLARIS 1
 #  define PHYSFS_PLATFORM_UNIX 1
 #  define PHYSFS_PLATFORM_POSIX 1
+#elif defined(__sgi)
+#  define PHYSFS_PLATFORM_IRIX 1
+#  define PHYSFS_PLATFORM_UNIX 1
+#  define PHYSFS_PLATFORM_POSIX 1
+#  define PHYSFS_NO_CDROM_SUPPORT 1
 #elif defined(__FreeBSD__) || defined(__FreeBSD_kernel__) || defined(__DragonFly__)
 #  define PHYSFS_PLATFORM_FREEBSD 1
 #  define PHYSFS_PLATFORM_BSD 1
--- ./CMakeLists.txt.save	Sat Apr  6 13:03:19 2019
+++ ./CMakeLists.txt	Sat Apr  6 17:29:08 2019
@@ -39,6 +39,12 @@
     add_definitions(-xldscope=hidden)
 endif()
 
+if(CMAKE_C_COMPILER_ID STREQUAL "MIPSpro")
+    # Don't use -rpath.
+    set(CMAKE_SKIP_RPATH ON CACHE BOOL "Skip RPATH" FORCE)
+    set(CMAKE_SHARED_LINKER_FLAGS "-Wl,-set_version -Wl,sgi${PHYSFS_SOVERSION}.0")
+endif()
+
 if(HAIKU)
     # We add this explicitly, since we don't want CMake to think this
     #  is a C++ project unless we're on Haiku.
